<div class="card">
    <div class="card-body">
        <div class="container">
            <h1 class="text-center">LISTA CAPITULOS</h1>
            <div class="row">
                <div class="col-md-6">
                    <div>
                        <button type="button" class="btn btn-outline-success" (click)="getPage(chapters['info'].prev)">
                            <i class="material-icons left">||</i>Anterior</button>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="d-flex flex-row-reverse">
                        <button type="button" class="btn btn-outline-success"
                            (click)="getPage(chapters['info'].next)">Siguiente
                            <i class="material-icons right">||</i>
                        </button>
                    </div>
                </div>
            </div>
            <br>
            <div class="row">
                <div class="col-md-12">
                    <form #formIrPagina="ngForm" ngNativeValidate (ngSubmit)="goToPage(formIrPagina)">
                        <div class="form-group row">
                            <label for="labelpagina" class="col-md-6 offset-md">
                                <div *ngIf="chapters['info'] != undefined">
                                    <h5>#Páginas Totales: {{chapters['info']['pages']}}</h5>
                                    <h5>Pagina Actual: {{paginaNow}}</h5>
                                </div>
                            </label>
                            <input type="text" class="col-md-4 form-control posicion" id="pagina" name="pagina"
                                placeholder="Seleccione la Pagina para ver" ngModel>
                            <button type="submit" class="btn btn-link posicion">Ir</button>
                        </div>
                    </form>
                </div>
            </div>
            <span>
                <div *ngIf="mensajeError" class="row">
                    <div class="col-md-6 offset-md-3">
                        <div *ngIf="chapters['info'] != undefined">
                            <h5 class="alert alert-danger mensaje_alerta">Por favor, introduzca una página entre 1 y
                                {{chapters['info']['pages']}}</h5>
                        </div>
                    </div>
                </div>
            </span>
            <div class="mt-4">
                <h3>Tabla de ordenamiento en materialize</h3>
                <div>
                    <input matinput type="text" (keyup)="applyFilter($event.target.value)"
                        placeholder="Buscar por Nombre del capitulo">
                </div>
                <div>
                    <table mat-table [dataSource]="dataSource" matSort>
                        <ng-container matColumnDef="ID">
                            <th *matHeaderCellDef> ID </th>
                            <td *matCellDef="let element"> {{element.id}}</td>
                        </ng-container>
                        <ng-container matColumnDef="NOMBRE">
                            <th *matHeaderCellDef> NOMBRE </th>
                            <td *matCellDef="let element"> {{element.name}} </td>
                        </ng-container>
                        <ng-container matColumnDef="EPISODIO">
                            <th *matHeaderCellDef> EPISODIO </th>
                            <td *matCellDef="let element"> {{element.episode}} </td>
                        </ng-container>
    
                        <ng-container matColumnDef="CREADO">
                            <th *matHeaderCellDef> FECHA DE CREACIÓN </th>
                            <td *matCellDef="let element"> {{element.created}} </td>
                        </ng-container>
    
                        <ng-container matColumnDef="VER">
                            <th *matHeaderCellDef> PERSONAJES </th>
                            <td *matCellDef="let element">
                                <button type="button" class="btn btn-outline-info"
                                    [routerLink]="['/detailEpisode/',element.id]">Ver</button>
                            </td>
                        </ng-container>
    
                        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                        <tr mat-row *matRowDef="let row; columns: displayedColumns;">
                        </tr>
                    </table>
                    <mat-paginator [pageSize]="4" [pageSizeOptions]="[2,5,10,20]">
                    </mat-paginator>
                </div>
            </div>
            <div class="mt-4">
                <h3>Lista en Boostrapt</h3>
                <table class="table table-striped">
                    <thead class="table-dark">
                        <tr>
                            <th scope="col">Capitulo</th>
                            <th scope="col">Nombre</th>
                            <th scope="col">Fecha de Creación</th>
                            <th scope="col">Personajes</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor='let char of chapters["results"]'>
                            <td>{{char.episode}}</td>
                            <td>{{char.name}}</td>
                            <td>{{char.created | date: 'M/d/yyyy'}}</td>
                            <td><button type="button" class="btn btn-outline-info"
                                    [routerLink]="['/detailEpisode/',char.id]">Ver</button>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>